+++
title = "Softwarově Definované Rádio"
date = 2022-04-19

[extra]
status = 2
authors = ["David Zálešák", "Emil Miler"]
created = 2019-10-21
+++

SDR je modrní druh rádia, který funguje na principu, že co největší část zpracování signálu probíhá softwarově v počítači. Nevýhodou je složitá matematika a náročnost na výpočetní výkon, ovšem v dnešní době už výpoetní výkon není problém.

Se softwarově definovaným rádiem lze přijímat obrovské množství signálů, přičemž některá zařízení umí i vysílat. To lze využít například pro testování bepečnosti v rámci radiokomunikací.

## Seznam sub-projektů

- [Stavba antén](@/projekty/sdr/stavba-anten/index.md)
- [Replay útok](@/projekty/sdr/replay/index.md)
- [Pager](@/projekty/sdr/pager/index.md)
- [Odchytávání dat na 433MHz](@/projekty/sdr/rtl_433/index.md)

## Náš hardware

### Rádia

- [BladeRF 2.0 XA4](https://www.nuand.com/bladerf-2-0-micro/)
	- RX 70 -- 6000 MHz
	- TX 47 -- 6000 MHz
	- ADC
	- 61.44 MSPS (56 MHz bandwidth filter)
	- +8 dBm output
	- 3383 kb FPGA
- [HackRF One](https://greatscottgadgets.com/hackrf/one/) (2x)
- [RTL-SDR](https://osmocom.org/projects/rtl-sdr/wiki/Rtl-sdr)
- DVB-T tuner s [RTL2832U](https://www.realtek.com/en/products/communications-network-ics/item/rtl2832u)

### Antény

- [ANT500](https://greatscottgadgets.com/ant500/)

## Užitečné odkazy

- [brmlab.cz/project/sdr](http://brmlab.cz/project/sdr/start)
- [sigidwiki.com](https://www.sigidwiki.com/wiki/Signal_Identification_Guide)

## Software

- [Gqrx](http://gqrx.dk/) &ndash; Univerzální přijímač s demodulátorem.
- [Gqrx-scanner](https://github.com/neural75/gqrx-scanner) &ndash; Frekvenční skener pro Gqrx.
- [Kukuruku](https://brmlab.cz/user/jenda/kukuruku) &ndash; Interaktivní SDR klient od [Jendy Hracha](https://jenda.hrach.eu/).
- [Fldigi](http://www.w1hkj.com/) &ndash; Modem pro zvukovou kartu k (de)modulaci a (de)kódování mnoha signálů.
- [GNURadio](https://www.gnuradio.org/) &ndash; Švícarský nůž pro SDR.
- [GNURadioCompanion](https://wiki.gnuradio.org/index.php/GNURadioCompanion) &ndash; GUI ke GNURadiu.
- [Universal Radio Hacker](https://github.com/jopohl/urh) &ndash; Software pro snadnou analýzu protokolů.
- [qradiolink](https://github.com/qradiolink/qradiolink) &ndash; Multimode SDR pro VOIP.
- [SDRangel](http://www.sdrangel.org/) &ndash; Mocný klient pro SDR.
- [SigDigger](https://batchdrake.github.io/SigDigger/) &ndash; SDR klient podobný GQRX, ale nevyužívá GNURadio.

## Přednášky a články

- Jan Hrach &ndash; [Softwarově definované rádio](https://invidio.us/watch?v=i1ZB70nPF-g)
- Jan Hrach &ndash; [Efektivní implementace útoku na šifru A5/1](https://invidio.us/watch?v=IA3NaCoA_v4)
- [SDR with HackRF](https://greatscottgadgets.com/sdr/), Podrobný videonávod základů SDR s HackRF
- [Radiokompas](https://web.archive.org/web/20200816211029/petr-kubac.blog.cz/1301/radiokompas-1)

