+++
title = "Odchytávání dat na 433MHz"
date = 2021-11-17
+++

## HackRF

```
rtl_433 -d HackRF -g AMP=1,LNA=33,VGA=62 -f 433.92M -C si -s 2000k
```

Ve výchozím nastavení očekává `rtl_433` RTL-SDR. Pokud používáme jiné rádio, je nutné předat přepínač `-d ""`, který vybere defaultní rádio v seznamu soapysdr, nebo můžeme specifikovat přímo `-d HackRF`.

Pro správný příjem signálu je nutné nastavit GAIN. HackRF má tři možná nastavení příjmu, tj. `-g AMP=0,LNA=16,VGA=20`.

> HackRF (both Jawbreaker and One) provides three different analog gain controls on RX and two on TX. The three RX gain controls are at the RF (“amp”, 0 or 14 dB), IF (“lna”, 0 to 40 dB in 8 dB steps), and baseband (“vga”, 0 to 62 dB in 2 dB steps) stages. The two TX gain controls are at the RF (0 or 14 dB) and IF (0 to 47 dB in 1 dB steps) stages.

V ideálním případě je předzesilovač `AMP` na hodnotě 0, pomocí `LNA` se nastaví dostatečně silný příjem bez šumu a signál se poté může softwarově zesílit pomocí `VGA`.

Frekvence může být jedna `-f 433.92M`, nebo lze přeskakovat mezi více frekvencemi v intervalu, například:

```
-f 433.92M -f 434M -f 315M -H 30
```

Tento modifikátor by způsobil, že program by ladil frekvence 433.92MHz, 434MHz a 315MHz v intervalu 30s.

Přepínačem `-C si` nastavíme výstup v metrických jednotkách a přepínačem `-s 2000k` nastavíme sample rate.

![rtl_433 output](rtl_433-output.png)
