+++
title = "Teploměr do udírny"
date = 2021-10-31

[extra]
status = 2
authors = ["David Zálešák", "Emil Miler"]
created = 2020-07-11
+++

Cílem projektu je vytvořit zařízení, které měří teplotu libovolným počtem teplotních čidel umístěných uvnitř domácí udírny. Výstupy z čidel jsou posílány po síti formou webové stránky na lokálním serveru přímo na zařízení a na integrovaném displeji.

## Hardware

Základem je deska *TTGO T-Display ESP32* s integrovaným IPS LCD.

Pro měření teploty jsou využita digitální čidla [DS18B20](https://www.gme.cz/digitalni-teplotni-cidlo-s-ds18b20) ve vodotěsném balení s kabelem. Čidlo DS18B20 funguje na systému *1-Wire* a je tedy snadné využívat libovolné množství čidel bez složitého zapojování GPIO. Teplotní rozsah měřitelný tímto čidlem je -55 až +125°C, což pro potřeby udírny stačí, nýbrž teplota v udírně nepřesáhne 120°C.

## Příprava pro kompilaci

Je třeba stáhnout knihovny `WiFi.h`, `ESPAsyncWebServer.h`, `DS18B20.h` a `TFT_eSPI.h`. Je ovšem třeba stáhnout modifikovanou verzi knihovny TFT_eSPI, aby správně fungoval integrovaný displej. V souboru `User_Setup_Select.h` je nutné odkomentovat řádek `#include <User_Setups/Setup25_TTGO_T_Display.h>`.

:: todo: jak přidat ESP32 toolchain, git

## Verze 1

První verze teploměru byla postavená na *DOIT ESP32 DEVKIT V1*. Na něm běžel web server a připravená webová stránka ukazovala výstupy všech nalezených čidel. Zároveň byl dostupný XML výstup pro nativní Androdi aplikaci. V praxi se ukázalo, že lepším řešením je jednoduše sledovat stav zkrze webovou stránku a XML s Android aplikací bylo ve druhé verzi smazáno.

Zároveň se objevil nový požadavek, a to displej s hodnotami senzorů přímo na zařízení, což je hlavní věc, která vedla ke tvorbě druhé verze.

